Summary:	Utility to disable touchpad tap-clicking while typing
Name:		touchfreeze
Version:	0.2.5
Release:	5
License:	GPLv3+
Group:		System/Configuration/Hardware
Url:		http://qsynaptics.sourceforge.net/
Source0:	http://qsynaptics.sourceforge.net/%{name}-%{version}.tar.gz
Obsoletes:	qsynaptics < 0.22.0-15
BuildRequires:	qt4-devel
Requires:	synaptics

%description
TouchFreeze is a simple utility that disables the tap-click function
of Synaptics touchpads while you are typing. As long as you are typing,
tapping the touchpad will not count as a mouse click. It replaces
the previous QSynaptics and KSynaptics tools.

%files
%{_bindir}/%{name}
%{_sysconfdir}/xdg/autostart/rosa-%{name}.desktop
%{_datadir}/autostart/rosa-%{name}.desktop

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%qmake_qt4
%make LIBS="-lX11 -lQtCore -lQtGui"

%install
mkdir -p %{buildroot}%{_bindir}
install -m 0755 %{name} %{buildroot}%{_bindir}/%{name}

# XDG autostart
mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart
cat > %{buildroot}%{_sysconfdir}/xdg/autostart/rosa-%{name}.desktop << EOF
[Desktop Entry]
Exec=%{_bindir}/%{name}
Name=TouchFreeze - touchpad tap-click inhibitor
Terminal=false
Type=Application
StartupNotify=false
X-KDE-autostart-phase=2
X-KDE-autostart-after=panel
EOF

# KDE autostart
mkdir -p %{buildroot}%{_datadir}/autostart
cp %{buildroot}%{_sysconfdir}/xdg/autostart/rosa-%{name}.desktop %{buildroot}%{_datadir}/autostart/rosa-%{name}.desktop


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.2.5-5
+ Revision: 75acff5
- MassBuild#440: Increase release tag


